// swift-tools-version: 5.9
import PackageDescription

#if TUIST
import ProjectDescription
let packageSettings = PackageSettings(
    productTypes: [
        "Alamofire": .framework,
        "KakaoOpenSDK": .framework,
        "RxKakaoOpenSDK": .framework,
        "RxAlamofire": .framework,
        "RxSwift": .framework,
    ]
)
#endif

let version = "2.23.0"
let package = Package(
    name: "RxKakaoSDKSample",
    dependencies: [
        .package(url: "https://github.com/Alamofire/Alamofire", "5.9.0"..."5.9.1"),
        .package(url: "https://github.com/RxSwiftCommunity/RxAlamofire", "6.1.2"..."7.0.0"),
        .package(url: "https://github.com/ReactiveX/RxSwift", "6.7.1"..."7.0.0"),
        .package(url: "https://github.daumkakao.com/kops/private-kakao-ios-sdk", exact: Version(version)!),
        .package(url: "https://github.daumkakao.com/kops/private-kakao-ios-sdk-rx", exact: Version(version)!)
    ]
)
